import request from '@/utils/request'
import qs from 'qs'

export function login(data) {
  return request({
    url: '/api-auth/usernameLogin',
    // url: '/user/login',
    method: 'post',
    data: qs.stringify(data)
  })
}

// export function refreshtoken(data) {
//   return request({
//     url: '/refreshtoken',
//     method: 'post',
//     data
//   })
// }

export function getInfo() {
  return request({
    url: '/api-oa/api/v1/getinfo',
    method: 'get'
  })
}

export function logout(data) {
  return request({
    url: '/api-oa/api/v1/logout',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function policy(data) {
  return request({
    url: '/api-web/getUploadSign',
    method: 'post',
    data
  })
}

